import * as Parser from "web-tree-sitter";
import { Term } from "./highlighter";
export declare class Language {
    parser: Parser;
    readonly simpleTerms: Record<string, Term>;
    readonly complexTerms: string[];
    readonly complexScopes: Record<string, Term>;
    readonly complexDepth: number;
    readonly complexOrder: boolean;
    constructor(grammarJson: any, parser?: Parser);
    init(languageWasmPath: string, Parser: typeof import("web-tree-sitter")): Promise<void>;
}
